Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristopher Faylor <me@cgf.cx>2001-12-31 06:19:29 +0300
committerChristopher Faylor <me@cgf.cx>2001-12-31 06:19:29 +0300
commite56f4d7fc4f734d1f784e898a4f4ace33eb019b3 (patch)
treeaced68c440f17e74b6e6ef10ca510da5b390cbc1 /winsup/cygwin/speclib
parentcdd3a8bd6792b7e6f1101ec0c2495e5472c58044 (diff)
* speclib: New file.
* Makefile.in: Create library versions of automode.o, textmode.o, and binmode.o for easier use on command line. Create libpthread.a, libm.a, and libc.a with subsets of exports found in libcygwin.a.
Diffstat (limited to 'winsup/cygwin/speclib')
-rwxr-xr-xwinsup/cygwin/speclib12
1 files changed, 12 insertions, 0 deletions
diff --git a/winsup/cygwin/speclib b/winsup/cygwin/speclib
new file mode 100755
index 000000000..63c2f20fc
--- /dev/null
+++ b/winsup/cygwin/speclib
@@ -0,0 +1,12 @@
+#!/bin/sh
+case "$1" in
+ -v) v="-v"; shift
+esac
+lib=$1; shift
+nm=$1; shift
+dlltool=$1; shift
+def=$1; shift
+# trap "rm /tmp/$$.def" 0 1 2 15
+(echo "LIBRARY cygwin1.dll
+EXPORTS"; $nm --extern-only --defined-only $* | sed -e '/^[ ]*$/d' -e '/:$/d' -e 's/^.* _\(.*\)/\1/' | grep $v -f - -w $def |egrep -vi '^library|exports|^$' | sort) > /tmp/$$.def
+exec $dlltool -d /tmp/$$.def -l "$lib" -D /dev/null